#include <bits/stdc++.h>
using namespace std;
int N,x,a,s,ok;
int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);
   cin >> N >> x;
   s=-1;
   ok=1;
   for (int i=1;i<=N;i++){
		cin >> a;
		if (a<=x && ok){
			s=i;
			ok=0;
		}
   }
	cout << s <<endl;

	return 0;
}